Bug 247405 - Review Request: compiz-bcop - Compiz option code generator
Summary: Review Request: compiz-bcop - Compiz option code generator
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Stewart Adam
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 247406
TreeView+ depends on / blocked
 
Reported: 2007-07-09 04:13 UTC by Mohd Izhar Firdaus Ismail
Modified: 2007-11-30 22:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-25 18:42:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
s.adam: fedora-review+


Attachments (Terms of Use)

Description Mohd Izhar Firdaus Ismail 2007-07-09 04:13:52 UTC
Spec URL: http://devel.foss.org.my/~kagesenshi/repo/private/testing/SPEC/compiz-bcop.spec
SRPM URL: http://devel.foss.org.my/~kagesenshi/repo/private/testing/compiz-bcop/compiz-bcop-0.1.3-0.5.20070708git.fc7.src.rpm
Description: 
Bcop is a tool to autogenerate code for working with options in compiz plugins;
this is required to build some plugins, and gives a great help to developers

Comment 1 Stewart Adam 2007-07-09 22:19:47 UTC
There's three changes that need to be made to the package:
- Rpmlint isn't silent:
W: compiz-bcop non-standard-group Application/Development
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".
E: compiz-bcop zero-length /usr/share/doc/compiz-bcop-0.1.3/ChangeLog
E: compiz-bcop zero-length /usr/share/doc/compiz-bcop-0.1.3/README
** These two errors are OK
W: compiz-bcop devel-file-in-non-devel-package /usr/share/pkgconfig/bcop.pc
W: compiz-bcop non-standard-group Application/Development
W: compiz-bcop incoherent-version-in-changelog 0.1.3-0.4.20070703git
0.1.3-0.5.20070708git.fc7

- /usr/share/bcop/ isn't owned by any package.
- /usr/share/pkgconfig/bcop.pc must be moved to a devel package

Comment 2 Mohd Izhar Firdaus Ismail 2007-07-11 14:35:27 UTC
Fixed the group entry ,

http://devel.foss.org.my/~kagesenshi/repo/private/testing/compiz-bcop/compiz-bcop-0.1.3-0.6.20070711git.fc7.src.rpm

I have a question about devel package, compiz-bcop is used only by people who
are going to build compiz plugins and the package only contains 3 files. A shell
script, a xslt file, and the .pc file (which is mainly to tell Makefiles of
compiz plugins that the bcop script is installed).  Is it really required to
separate the script and the pkgconfig file to different rpms?



Comment 3 Stewart Adam 2007-07-11 22:25:13 UTC
I would say so, but ask this on #fedora-devel to be sure/for the exception.

Comment 4 Ignacio Vazquez-Abrams 2007-07-12 03:00:18 UTC
Since this package will only ever be used as a BR it makes no sense to separate
those files out.

Comment 5 Mohd Izhar Firdaus Ismail 2007-07-17 17:49:13 UTC
so s.adam , do I need to separate or not?

Comment 6 Stewart Adam 2007-07-17 21:17:50 UTC
No, ignacio (ivazquez) has much more experience than me in this area, let's
follow his advice. The remaining rpmlint errors from the SRPM in comment #2 are
safe to ignore.

ACCEPTED

Comment 7 Mohd Izhar Firdaus Ismail 2007-08-25 18:42:44 UTC
I forgot to mention that this is my first package and need a sponsor .. 

anyway .. it seems like Adel Gadllah already pushed his compiz-bcop package to
rawhide .. and most probably he'll be maintaining the whole compiz-fusion
package set ..

guess i'll leave the rest to him

bug closed




Note You need to log in before you can comment on or make changes to this bug.